From: Tobias Geerinckx-Rice <me@tobias.gr>
Date: Sat, 14 Nov 2020 15:40:38 +0100
Subject: [PATCH] gnu: perl-www-curl: Remove undeclared symbols.

Copied verbatim from the FreeBSD port[0].

[0]: https://www.freshports.org/www/p5-WWW-Curl

--- a/Makefile.PL	2014-02-21 08:08:09.000000000 -0800
+++ b/Makefile.PL	2020-04-20 15:36:35.008798000 -0700
@@ -100,6 +100,13 @@
      print "Found curl.h in $curl_h\n";
      my @syms;
      my $has_cpp = 0;
+     my @skiplist = qw/
+        CURL_DID_MEMORY_FUNC_TYPEDEFS
+        CURL_STRICTER
+        CURLINC_CURL_H
+        CURL_WIN32
+        CURLOPT
+     /;
      open(H_IN, "-|", "cpp", $curl_h) and $has_cpp++;
      unless ($has_cpp) {
          warn "No working cpp ($!).  Parsing curl.h in Perl";
@@ -121,6 +128,7 @@
     open (H, "<", $curl_h) or die ("Cannot open $curl_h: ".$!);
     while(<H>) {
         if (/^#define (CURL[A-Za-z0-9_]*)/) {
+            next if $1 ~~ @skiplist;
             push @syms, $1;
         }
     }
d>
<a href='/guix/about/'>about</a><a href='/guix/'>summary</a><a href='/guix/refs/?id=c2a80ba78c979d2df2434fed0b9e55a29102f5c2'>refs</a><a class='active' href='/guix/log/gnu.scm'>log</a><a href='/guix/tree/gnu.scm?id=c2a80ba78c979d2df2434fed0b9e55a29102f5c2'>tree</a><a href='/guix/commit/gnu.scm?id=c2a80ba78c979d2df2434fed0b9e55a29102f5c2'>commit</a><a href='/guix/diff/gnu.scm?id=c2a80ba78c979d2df2434fed0b9e55a29102f5c2'>diff</a></td><td class='form'><form class='right' method='get' action='/guix/log/gnu.scm'>
<input type='hidden' name='id' value='c2a80ba78c979d2df2434fed0b9e55a29102f5c2'/><select name='qt'>
<option value='grep'>log msg</option>
<option value='author'>author</option>
<option value='committer'>committer</option>
<option value='range'>range</option>
</select>
<input class='txt' type='search' size='10' name='q' value=''/>
<input type='submit' value='search'/>
</form>
</td></tr></table>
<div class='path'>path: <a href='/guix/log/?id=c2a80ba78c979d2df2434fed0b9e55a29102f5c2'>root</a>/<a href='/guix/log/gnu.scm?id=c2a80ba78c979d2df2434fed0b9e55a29102f5c2'>gnu.scm</a></div><div class='content'><table class='list nowrap'><tr class='nohover'><th class='left'>Age</th><th class='left'>Commit message (<a href='/guix/log/gnu.scm?id=c2a80ba78c979d2df2434fed0b9e55a29102f5c2&amp;showmsg=1'>Expand</a>)</th><th class='left'>Author</th></tr>
ation.scm?id=4d4f7e7d9cf0738380432365b6deebdc1181566c'>syndication.scm</a></div><div class='content'><table class='list nowrap'><tr class='nohover'><th class='left'>Age</th><th class='left'>Commit message (<a href='/guix/log/gnu/packages/syndication.scm?id=4d4f7e7d9cf0738380432365b6deebdc1181566c&amp;showmsg=1'>Expand</a>)</th><th class='left'>Author</th></tr>
<tr><td><span title='2024-11-03 23:33:38 +0000'>2024-11-03</span></td><td><a href='/guix/commit/gnu/packages/syndication.scm?id=2ef5e0cd8900898cef055a49d659870be977ff07'>gnu: Add newsraft.</a><span class='msg-avail'>...<span class='msg-tooltip'>* gnu/packages/syndication.scm (newsraft): New variable.

Change-Id: Iea8d28df6f41d668818fded83a9ca77b77291484
Co-authored-by: Sharlatan Hellseher &lt;sharlatanus@gmail.com&gt;
Signed-off-by: Sharlatan Hellseher &lt;sharlatanus@gmail.com&gt;
</span></span></td><td>Luis Guilherme Coelho</td></tr>
<tr><td><span title='2024-08-31 10:42:39 +0200'>2024-08-31</span></td><td><a href='/guix/commit/gnu/packages/syndication.scm?id=b9c65bb18267da400e6b787bcd6aa75a13ccdf67'>gnu: syndication: Add 'bash' input for 'wrap-program'.</a><span class='msg-avail'>...<span class='msg-tooltip'>It is required for cross-compilation.

* gnu/packages/syndication.scm
(cawbird)[inputs]: Add 'bash-minimal'.
(giara)[inputs]: Likewise.
(liferea)[inputs]: Likewise.

Signed-off-by: Maxim Cournoyer &lt;maxim.cournoyer@gmail.com&gt;
Change-Id: Iddf5498518ab5e73d04b3b96f0a71db05feed875
</span></span></td><td>Maxime Devos</td></tr>
<tr><td><span title='2024-07-19 00:45:09 +0300'>2024-07-19</span></td><td><a href='/guix/commit/gnu/packages/syndication.scm?id=906f8f5d81b6c0f1b291372873e1d511be60d6b8'>gnu: newsboat: Update to 2.35.</a><span class='msg-avail'>...<span class='msg-tooltip'>* gnu/packages/syndication.scm (newsboat): Update to 2.35.

Change-Id: I60c4fd480fb40a95c24cb5740a48f64fc11eea81
</span></span></td><td>Efraim Flashner</td></tr>
